import QtQuick 1.1
import qb.components 1.0
import qb.base 1.0;

App {
	id: webcamApp

	property url tileUrl : "WebcamTile.qml";
	property url thumbnailIcon: "drawables/webcam.png";
	property FullWebcamScreen fullWebcamScreen
	
	property string webcamImage1
	property bool pictureToggle1: true
	
	QtObject {
		id: p
		property url fullWebcamScreenUrl : "FullWebcamScreen.qml"
	}
	
	function init() {
		registry.registerWidget("tile", tileUrl, this, null, {thumbLabel: qsTr("Webcam"), thumbIcon: thumbnailIcon, thumbCategory: "general", thumbWeight: 30, baseTileWeight: 10, baseTileSolarWeight: 10, thumbIconVAlignment: "center"});
		registry.registerWidget("screen", p.fullWebcamScreenUrl, this, "fullWebcamScreen");
	}

	function updateWebcamImage1() {
		if (pictureToggle1 == true) {
			webcamImage1 = "http://192.168.42.8/live/1/jpeg.jpg";
			pictureToggle1 = false;
		}
		else {
			webcamImage1 = "http://192.168.42.8:80/live/1/jpeg.jpg";
			pictureToggle1 = true;
		}
	}
	
	Timer {
		id: webcamTimer1
		interval: 10000
		triggeredOnStart: true
		running: true
		repeat: true
		onTriggered: updateWebcamImage1()
	}
}
